# This file created by conda-build 3.18.9
# meta.yaml template originally from:
# /opt/recipe, last modified Mon Mar  2 10:03:56 2020
# ------------------------------------------------

package:
    name: thermorawfileparser
    version: 1.2.2
source:
    sha256: 33783437843ac693003141c532c6bf651646da7aa24e05f8ed880c7d4c01beed
    url: https://github.com/compomics/ThermoRawFileParser/releases/download/v1.2.2/ThermoRawFileParser.zip
build:
    noarch: generic
    number: '0'
    script:
        - mkdir $PREFIX/bin
        - cp * $PREFIX/bin
        - cp $RECIPE_DIR/ThermoRawFileParser.sh $PREFIX/bin
        - chmod +x $PREFIX/bin/ThermoRawFileParser.sh
    string: '0'
requirements:
    run:
        - mono >=5
test:
    commands:
        - ThermoRawFileParser.sh 2>&1 | grep metadata
about:
    dev_url: https://github.com/compomics/ThermoRawFileParser
    doc_url: https://github.com/compomics/ThermoRawFileParser/blob/master/README.md
    home: https://github.com/compomics/ThermoRawFileParser
    license: Other
    license_file: LICENSE
    summary: Wrapper around the .net (C#) ThermoFisher ThermoRawFileReader library
        for running on Linux with mono
extra:
    copy_test_source_files: true
    final: true
